package com.platform.controller;

import java.util.List;
import java.util.Map;

import com.platform.annotation.CanUserUpdateRecord;
import com.platform.entity.Result;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.platform.entity.CartEntity;
import com.platform.service.CartService;
import com.platform.utils.PageUtils;
import com.platform.utils.Query;



/**
 * 
 * 
 * @author lipengjun
 * @email 939961241@qq.com
 * @date 2017-08-13 10:41:06
 */
@RestController
@RequestMapping("cart")
public class CartController {
	@Autowired
	private CartService cartService;
	
	/**
	 * 列表
	 */
	@RequestMapping("/list")
	@RequiresPermissions("cart:list")
	public Result list(@RequestParam Map<String, Object> params){
		//查询列表数据
        Query query = new Query(params);

		List<CartEntity> cartList = cartService.queryList(query);
		int total = cartService.queryTotal(query);
		
		PageUtils pageUtil = new PageUtils(cartList, total, query.getLimit(), query.getPage());
		
		return Result.success(pageUtil);
	}
	
	
	/**
	 * 信息
	 */
	@RequestMapping("/info")
	@RequiresPermissions("cart:info")
	public Result info(@RequestParam("id") Integer id){
		CartEntity cart = cartService.queryObject(id);
		
		return Result.success( cart);
	}
	
	/**
	 * 保存
	 */
	@CanUserUpdateRecord
	@RequestMapping("/save")
	@RequiresPermissions("cart:save")
	public Result save(@RequestBody CartEntity cart){
		cartService.save(cart);
		
		return Result.success();
	}
	
	/**
	 * 修改
	 */
	@CanUserUpdateRecord
	@RequestMapping("/update")
	@RequiresPermissions("cart:update")
	public Result update(@RequestBody CartEntity cart){
		cartService.update(cart);
		
		return Result.success();
	}
	
	/**
	 * 删除
	 */
	@CanUserUpdateRecord
	@RequestMapping("/delete")
	@RequiresPermissions("cart:delete")
	public Result delete(@RequestBody Integer[] ids){
		cartService.deleteBatch(ids);
		
		return Result.success();
	}
	
}
